ext4/306: Fixup resize2fs usage

Use $RESIZE2FS_PROG instead of direct name to call program with full
path. Also add an appropriate feature test.

Signed-off-by: Jan Kara <jack@suse.cz>
Reviewed-by: Eryu Guan <guaneryu@gmail.com>
Signed-off-by: Eryu Guan <guaneryu@gmail.com>
diff --git a/tests/ext4/306 b/tests/ext4/306
index 7d00bad..5b3744d 100755
--- a/tests/ext4/306
+++ b/tests/ext4/306
@@ -44,6 +44,7 @@
 _supported_os Linux
 
 _require_scratch
+_require_command "$RESIZE2FS_PROG" resize2fs
 
 rm -f $seqres.full
 
@@ -67,7 +68,7 @@
 
 # Grow fs by 512m
 echo "Resize to 1g"
-resize2fs $SCRATCH_DEV 1g >> $seqres.full 2>&1 || _fail "Could not resize to 1g"
+$RESIZE2FS_PROG $SCRATCH_DEV 1g >> $seqres.full 2>&1 || _fail "Could not resize to 1g"
 df -h $SCRATCH_MNT >> $seqres.full
 
 # See if we can add more blocks to the files